TFF_VALIDATE_TRX.PY(1)

NAME
tff_validate_trx.py - validate a TRX file

DESCRIPTION
usage: tff_validate_trx.py [-h] [--out_tractogram OUT_TRACTOGRAM]

[--remove_identical_streamlines]
    [--precision PRECISION] [--reference REFERENCE] [-f] in_tractogram

Validate TRX file.

Removes streamlines that are out of the volume bounding box. In voxel space, no negative coordinate and no above volume dimension coordinate are possible. Any streamline that do not respect these two conditions are removed.

Also removes streamlines with single or no point. The --remove_identical_streamlines option will remove identical streamlines. 'identical' is defined as having the same number of points and the same points coordinates (to a specified precision, using a hash table).

  positional arguments:

in_tractogram
    Tractogram filename. Format must be one of trk, tck, vtk, fib, dpy, trx.

  options:

-h, --help
    show this help message and exit

--out_tractogram OUT_TRACTOGRAM
    Filename of the tractogram after removing invalid streamlines.

--remove_identical_streamlines
    Remove identical streamlines from the set.

--precision PRECISION
    Number of decimals to keep when hashing the points of streamlines [1].

--reference REFERENCE
    Reference anatomy for tck/vtk/fib/dpy file support (.nii or .nii.gz).

-f  Force overwriting of the output files.